Subject: [PATCHv2 00/12] arm/arm64: Unify PSCI client support

From: [email-masked] (Hanjun Guo)
Date: Tue, 19 May 2015 16:54:56 +0800

On 2015?05?18? 18:38, Mark Rutland wrote:
> This series unifies the 32-bit and 64-bit PSCI client code, moving the bulk of
> the FW invocation and probing out to a common locaiton in drivers/firmware.
> As part of this, the remaining edge cases for PSCI 0.2 (Trusted OSs rejecting
> CPU_OFF) are accounted for, maknig both 32-bit adn 64-bit clients more robust.
>
> This results in a reasonable saving in terms of lines of code, and will allow
> for PSCI 1.0 support to be unified form the beginning, avoiding further
> duplication.
>
> The series is based on v4.1-rc3.

Before I review this patch set,  I applied this patch set on
top of v4.1-rc3 (and adding some SBSA uart patches), compiled both
ok with ACPI=y/n on ARM64, and this patch set:
   - booted ok with SMP with ACPI on ARM64;
   - after boot, I do cpu hotplug operations for CPUs
     (echo 0/1 > cpu*/online) , and it works pretty fine, so PSCI
     CPU_ON/OFF works.

For this patch set:

Tested-by: Hanjun Guo <[email-masked]>

Thanks
Hanjun